// potrosac1.h - Klasa elektrinih potroaa.

#ifndef _potrosac1_h_
#define _potrosac1_h_

#include <iostream>
using namespace std;

namespace Potrosaci {
  class Potrosac {
  public:
    virtual ~Potrosac() {}                // Virtuelan destruktor.
    virtual double snaga() const =0;      // Snaga potroaa.
    virtual Potrosac* kopija() const& =0; // Kopija potroaa kopiranjem.
    virtual Potrosac* kopija() && =0;     // Kopija potroaa premetanjem.
  private:
    virtual void pisi(ostream& it) const =0; // Pisanje potroaa.
    friend ostream& operator<<(ostream& it, const Potrosac& p)
      { p.pisi(it); return it; }
  }; // class
} // namespace

#endif

